Table of Contents

Class: WidgetStack | eric3/ViewManager/Listspace.py
--- | ---

Class implementing a custimized WidgetStack.

Base Classes |
--- | ---
QWidgetStack

Methods |
--- | ---
__init__ addWidget firstEditor hasEditor raiseWidget removeWidget
| __init__

    __init__ ( self,  parent )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| addWidget

    addWidget (
            self,
            editor,
            id=-1,
            )

### Overwritten method to add a new widget.

#### Arguments

editor
  the editor object to be added (QScintilla.Editor.Editor)
id
  id of the widget (integer)

| firstEditor

    firstEditor ( self )

### Public method to retrieve the first editor in the list of managed editors.

#### Returns

first editor in list (QScintilla.Editor.Editor)

| hasEditor

    hasEditor ( self,  editor )

### Public method to check for an editor.

#### Arguments

editor
  editor object to check for

#### Returns

flag indicating, whether the editor to be checked belongs to the list of editors managed by this tab widget.

| raiseWidget

    raiseWidget ( self,  widgetOrId )

### Overwritten method to raise a widget.

#### Arguments

widgetOrId
  widget to be raised or its id (QWidget or integer)

| removeWidget

    removeWidget ( self,  object )

### Overwritten method to remove a widget.

#### Arguments

object
  object to be removed (QObject)

Table of Contents

This document was automatically generated by HappyDoc version 2.1